net.minecraft.client.renderer.entity

## Class RenderLiving

- java.lang.Object
- - net.minecraft.client.renderer.entity.Render
  - - net.minecraft.client.renderer.entity.RendererLivingEntity
    - - net.minecraft.client.renderer.entity.RenderLiving

- Direct Known Subclasses:
    RenderBat, RenderBiped, RenderBlaze, RenderChicken, RenderCow, RenderCreeper, RenderDragon, RenderEnderman, RenderGhast, RenderGiantZombie, RenderHorse, RenderIronGolem, RenderMagmaCube, RenderMooshroom, RenderOcelot, RenderPig, RenderSheep, RenderSilverfish, RenderSlime, RenderSnowMan, RenderSpider, RenderSquid, RenderVillager, RenderWitch, RenderWither, RenderWolf

      public abstract class RenderLiving
      extends RendererLivingEntity

- - ### Field Summary

    - ### Fields inherited from class net.minecraft.client.renderer.entity.RendererLivingEntity

      `mainModel, NAME_TAG_RANGE, NAME_TAG_RANGE_SNEAK, renderPassModel`

    - ### Fields inherited from class net.minecraft.client.renderer.entity.Render

      `field_147909_c, renderManager, shadowOpaque, shadowSize`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `RenderLiving(ModelBase par1ModelBase, float par2)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `doRender(Entity par1Entity, double par2, double par4, double par6, float par8, float par9)`
    `void` | `doRender(EntityLivingBase par1Entity, double par2, double par4, double par6, float par8, float par9)`
    `void` | `doRender(EntityLiving par1EntityLiving, double par2, double par4, double par6, float par8, float par9)`
    `protected boolean` | `func_110813_b(EntityLiving par1EntityLiving)`
    `protected boolean` | `func_110813_b(EntityLivingBase par1EntityLivingBase)`
    `protected void` | `func_110827_b(EntityLiving par1EntityLiving, double par2, double par4, double par6, float par8, float par9)`

    - ### Methods inherited from class net.minecraft.client.renderer.entity.RendererLivingEntity

      `func_82408_c, func_96449_a, getColorMultiplier, getDeathMaxRotation, handleRotationFloat, inheritRenderPass, passSpecialRender, preRenderCallback, renderArrowsStuckInEntity, renderEquippedItems, renderLivingAt, renderModel, renderSwingProgress, rotateCorpse, setRenderPassModel, shouldRenderPass`

    - ### Methods inherited from class net.minecraft.client.renderer.entity.Render

      `bindEntityTexture, bindTexture, doRenderShadowAndFire, func_147906_a, getEntityTexture, getFontRendererFromRenderManager, isStaticEntity, renderAABB, renderOffsetAABB, setRenderManager, updateIcons`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RenderLiving

          public RenderLiving(ModelBase par1ModelBase,
                      float par2)

  - ### Method Detail

    - #### func_110813_b

          protected boolean func_110813_b(EntityLiving par1EntityLiving)

    - #### doRender

          public void doRender(EntityLiving par1EntityLiving,
                      double par2,
                      double par4,
                      double par6,
                      float par8,
                      float par9)

    - #### func_110827_b

          protected void func_110827_b(EntityLiving par1EntityLiving,
                           double par2,
                           double par4,
                           double par6,
                           float par8,
                           float par9)

    - #### func_110813_b

          protected boolean func_110813_b(EntityLivingBase par1EntityLivingBase)

      Overrides:
        `func_110813_b` in class `RendererLivingEntity`

    - #### doRender

          public void doRender(EntityLivingBase par1Entity,
                      double par2,
                      double par4,
                      double par6,
                      float par8,
                      float par9)

      Overrides:
        `doRender` in class `RendererLivingEntity`

    - #### doRender

          public void doRender(Entity par1Entity,
                      double par2,
                      double par4,
                      double par6,
                      float par8,
                      float par9)

      Overrides:
        `doRender` in class `RendererLivingEntity`